---
updatedAt: 2026-04-22T15:52:31.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Program Entries

The **Program Entries** method returns an array of entry objects for a program and may be filtered to return either a **start list** (default) or **wait list**. Entries are contained within the entries array and are composed of a basic entry objects which include a basic athlete object plus additional information such as `start_num`.

Wait list entries have an optional `notes` field that can indicate certain reasons or contain disclaimers. For wait lists the `wait_pos`indicates the athlete's position on the wait list which determines the order of inclusion on the start list.

The `approved` boolean indicates whether this entry has been confirmed and the athlete is on the start list or still on the wait list. Clearly all entries with type `start` will be approved and all entries with type `wait` will not be approved.

In addition the method will return a full program object and basic event object such that complete start list pages may be derived from a single API call such as those used on the [World Triathlon Series site](http://wts.triathlon.org/start_lists/2015_itu_world_triathlon_stockholm/271862).

> 📘 Wait list Availability
>
> Wait lists are only publicly available 30 days before the start of the event. Before that time if the wait parameter type is specified a 403 unauthorized response will be returned.

The following example shows the start list of the 2014 World Triathlon Auckland (78726) Elite Women (264331). As the default type is `start` there is no need to specify this.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/entries
```

To retrieve the waitlist for the same event (assuming we are less than 30 days before the event) the following API call could be used:

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/entries?type=wait
```

## Team Entries

When the specified prog\_id corresponds to a team program each entry will contain a basic team object which when applicable includes a `team_members` array of athlete objects. Therefore it is possible to view the overall team start lists together with a breakdown of all individual athletes comprising that team. Where no team members have been entered for the team the `team_members` object will be null.

```json
{
   "code":200,
   "status":"success",
   "data":{
      "prog_id":271507,
      "event_id":91030,
      "prog_name":"4xMixed Relay",
      "prog_date":"2015-07-19",
      "prog_time":"16:51:00",
      "results":true,
      "team":true,
      "event":{
         "event_id":91030,
         "event_title":"2015 Hamburg ITU Triathlon Mixed Relay World Championships",
         "event_slug":"2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_edit_date":"2015-09-16T14:14:00+00:00",
         "event_venue":"Hamburg",
         "event_country":"Germany",
         "event_latitude":53.55108,
         "event_longitude":9.99368,
         "event_date":"2015-07-18",
         "event_finish_date":"2015-07-19",
         "event_country_isoa2":"DE",
         "event_country_noc":"GER",
         "event_region_id":10,
         "event_country_id":170,
         "event_region_name":"Europe",
         "event_categories":[
            {
               "cat_name":"World Championships",
               "cat_id":348,
               "cat_parent_id":0
            }
         ],
         "event_specifications":[
            {
               "cat_name":"Triathlon",
               "cat_id":357,
               "cat_parent_id":0
            },
            {
               "cat_name":"4xMixed Relay",
               "cat_id":380,
               "cat_parent_id":357
            }
         ],
         "event_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/de.png",
         "event_listing":"http:\/\/www.triathlon.org\/events\/event\/2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/events\/91030"
      },
      "meta":null,
      "entries":[
         {
            "team_id":11448,
            "team_title":"Team I Great Britain",
            "team_slug":"team_i_great_britain",
            "team_country_id":292,
            "team_profile_image":null,
            "team_noc":"GBR",
            "team_country_name":"Great Britain",
            "team_country_isoa2":"GB",
            "team_listing":"http:\/\/www.triathlon.org\/athletes\/profile\/11448\/team_i_great_britain",
            "team_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/gb.png",
            "team_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/athletes\/11448",
            "team_members":[
               {
                  "athlete_id":7795,
                  "athlete_title":"Vicky Holland",
                  "athlete_slug":"vicky_holland",
                  "athlete_first":"Vicky",
                  "athlete_last":"Holland",
                  "athlete_country_id":292,
                  "athlete_gender":"female",
                  "athlete_yob":"1986",
                  "validated":false,
                  "athlete_profile_image":"http:\/\/www.triathlon.org\/images\/athlete_thumbs\/holland_vicky.jpg",
                  "athlete_noc":"GBR",
                  "athlete_country_name":"Great Britain",
                  "athlete_country_isoa2":"GB",
                  "athlete_listing":"http:\/\/www.triathlon.org\/athletes\/profile\/7795\/vicky_holland",
                  "athlete_flag":"https:\/\/f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com\/images\/icons\/gb.png",
                  "athlete_api_listing":"https:\/\/api.triathlon.org\/v1\/v1\/athletes\/7795",
                  "athlete_categories":[
                     42
                  ]
               }
            ],
            "entry_id":369743,
            "program_id":271507,
            "approved":true,
            "start_num":1
         }
      ]
   }
}
```

> 🚧 Team members and orders do not have to be specified until 60 mins before the race start
>
> Due to the rules accompanying team entries finalised start lists including all team members are only available 60 mins before the race start.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/events/{event_id}/programs/{prog_id}/entries": {
      "get": {
        "summary": "Program Entries",
        "description": "",
        "operationId": "program-entries",
        "parameters": [
          {
            "name": "event_id",
            "in": "path",
            "description": "The unique id of the event",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": ""
            }
          },
          {
            "name": "prog_id",
            "in": "path",
            "description": "The unique id of the program",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": ""
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "Output either a startlist or a waitlist (start or wait)",
            "schema": {
              "type": "string",
              "default": "start"
            }
          },
          {
            "name": "entry_id",
            "in": "query",
            "description": "A pipe delimited list of entry_ids to restrict the results",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "country_id",
            "in": "query",
            "description": "A pipe delimited list of athlete country_ids to restrict the results",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 200,\n    \"status\": \"success\",\n    \"data\": {\n        \"prog_id\": 270563,\n        \"event_id\": 90162,\n        \"prog_name\": \"Elite Men\",\n        \"prog_date\": \"2015-04-11\",\n        \"prog_time\": \"14:06:00\",\n        \"prog_notes\": \"Technical Delegate: Stefane Mauris/SUI. Race Referee Sarah Taylor/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km (4 laps)\\nWater temperature 18.2ºC, Air temperature 18.2º C. Wetsuit swim.\",\n        \"results\": true,\n        \"team\": false,\n        \"event\": {\n            \"event_id\": 90162,\n            \"event_title\": \"2015 ITU World Triathlon Gold Coast\",\n            \"event_slug\": \"2015_itu_world_triathlon_gold_coast\",\n            \"event_edit_date\": \"2015-04-20T10:45:42+00:00\",\n            \"event_venue\": \"Gold Coast\",\n            \"event_country\": \"Australia\",\n            \"event_latitude\": -28.01726,\n            \"event_longitude\": 153.4257,\n            \"event_date\": \"2015-04-11\",\n            \"event_finish_date\": \"2015-04-12\",\n            \"event_country_isoa2\": \"AU\",\n            \"event_country_noc\": \"AUS\",\n            \"event_region_id\": 14,\n            \"event_country_id\": 111,\n            \"event_region_name\": \"Oceania\",\n            \"event_categories\": [\n                {\n                    \"cat_name\": \"World Triathlon Series\",\n                    \"cat_id\": 351,\n                    \"cat_parent_id\": 0\n                }\n            ],\n            \"event_specifications\": [\n                {\n                    \"cat_name\": \"Triathlon\",\n                    \"cat_id\": 357,\n                    \"cat_parent_id\": 0\n                },\n                {\n                    \"cat_name\": \"Standard\",\n                    \"cat_id\": 377,\n                    \"cat_parent_id\": 357\n                }\n            ],\n            \"event_flag\": \"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png\",\n            \"event_listing\": \"http://www.triathlon.org/events/event/2015_itu_world_triathlon_gold_coast\",\n            \"event_api_listing\": \"https://api.triathlon.org/v1/v1/events/90162\"\n        },\n        \"meta\": {\n            \"temperature_water\": 24.6,\n            \"temperature_air\": 21.1,\n            \"wetsuit\": false,\n            \"deduction\": null\n        },\n        \"headers\": [\n            {\n                \"segment\": \"leg1\",\n                \"name\": \"Swim\",\n                \"distance\": 1500,\n                \"units\": \"m\",\n                \"laps\": 2\n            },\n            {\n                \"segment\": \"t1\",\n                \"name\": \"T1\"\n            },\n            {\n                \"segment\": \"leg2\",\n                \"name\": \"Bike\",\n                \"distance\": 40,\n                \"units\": \"km\",\n                \"laps\": 8\n            },\n            {\n                \"segment\": \"t2\",\n                \"name\": \"T2\"\n            },\n            {\n                \"segment\": \"leg3\",\n                \"name\": \"Run\",\n                \"distance\": 10,\n                \"units\": \"km\",\n                \"laps\": 4\n            }\n        ],\n        \"headers_count\": 5,\n        \"entries\": [\n            {\n                \"athlete_id\": 11378,\n                \"athlete_title\": \"Jonathan Brownlee\",\n                \"athlete_slug\": \"jonathan_brownlee\",\n                \"athlete_edit_date\": \"2016-02-09T14:04:34+00:00\",\n                \"athlete_first\": \"Jonathan\",\n                \"athlete_last\": \"Brownlee\",\n                \"athlete_country_id\": 292,\n                \"athlete_gender\": \"male\",\n                \"athlete_yob\": \"1990\",\n                \"validated\": false,\n                \"athlete_profile_image\": \"http://www.triathlon.org/images/athlete_thumbs/johnathon-brownlee-181x181.jpg\",\n                \"athlete_noc\": \"GBR\",\n                \"athlete_country_name\": \"Great Britain\",\n                \"athlete_country_isoa2\": \"GB\",\n                \"athlete_listing\": \"http://www.triathlon.org/athletes/profile/11378/jonathan_brownlee\",\n                \"athlete_flag\": \"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/gb.png\",\n                \"athlete_api_listing\": \"https://api.triathlon.org/v1/v1/athletes/11378\",\n                \"athlete_categories\": [\n                    42\n                ],\n                \"entry_id\": 358431,\n                \"program_id\": 270563,\n                \"approved\": true,\n                \"start_num\": 1\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "prog_id": {
                          "type": "integer",
                          "example": 270563,
                          "default": 0
                        },
                        "event_id": {
                          "type": "integer",
                          "example": 90162,
                          "default": 0
                        },
                        "prog_name": {
                          "type": "string",
                          "example": "Elite Men"
                        },
                        "prog_date": {
                          "type": "string",
                          "example": "2015-04-11"
                        },
                        "prog_time": {
                          "type": "string",
                          "example": "14:06:00"
                        },
                        "prog_notes": {
                          "type": "string",
                          "example": "Technical Delegate: Stefane Mauris/SUI. Race Referee Sarah Taylor/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km (4 laps)\nWater temperature 18.2ºC, Air temperature 18.2º C. Wetsuit swim."
                        },
                        "results": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "team": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "event": {
                          "type": "object",
                          "properties": {
                            "event_id": {
                              "type": "integer",
                              "example": 90162,
                              "default": 0
                            },
                            "event_title": {
                              "type": "string",
                              "example": "2015 ITU World Triathlon Gold Coast"
                            },
                            "event_slug": {
                              "type": "string",
                              "example": "2015_itu_world_triathlon_gold_coast"
                            },
                            "event_edit_date": {
                              "type": "string",
                              "example": "2015-04-20T10:45:42+00:00"
                            },
                            "event_venue": {
                              "type": "string",
                              "example": "Gold Coast"
                            },
                            "event_country": {
                              "type": "string",
                              "example": "Australia"
                            },
                            "event_latitude": {
                              "type": "number",
                              "example": -28.01726,
                              "default": 0
                            },
                            "event_longitude": {
                              "type": "number",
                              "example": 153.4257,
                              "default": 0
                            },
                            "event_date": {
                              "type": "string",
                              "example": "2015-04-11"
                            },
                            "event_finish_date": {
                              "type": "string",
                              "example": "2015-04-12"
                            },
                            "event_country_isoa2": {
                              "type": "string",
                              "example": "AU"
                            },
                            "event_country_noc": {
                              "type": "string",
                              "example": "AUS"
                            },
                            "event_region_id": {
                              "type": "integer",
                              "example": 14,
                              "default": 0
                            },
                            "event_country_id": {
                              "type": "integer",
                              "example": 111,
                              "default": 0
                            },
                            "event_region_name": {
                              "type": "string",
                              "example": "Oceania"
                            },
                            "event_categories": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "cat_name": {
                                    "type": "string",
                                    "example": "World Triathlon Series"
                                  },
                                  "cat_id": {
                                    "type": "integer",
                                    "example": 351,
                                    "default": 0
                                  },
                                  "cat_parent_id": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "event_specifications": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "cat_name": {
                                    "type": "string",
                                    "example": "Triathlon"
                                  },
                                  "cat_id": {
                                    "type": "integer",
                                    "example": 357,
                                    "default": 0
                                  },
                                  "cat_parent_id": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "event_flag": {
                              "type": "string",
                              "example": "https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png"
                            },
                            "event_listing": {
                              "type": "string",
                              "example": "http://www.triathlon.org/events/event/2015_itu_world_triathlon_gold_coast"
                            },
                            "event_api_listing": {
                              "type": "string",
                              "example": "https://api.triathlon.org/v1/v1/events/90162"
                            }
                          }
                        },
                        "meta": {
                          "type": "object",
                          "properties": {
                            "temperature_water": {
                              "type": "number",
                              "example": 24.6,
                              "default": 0
                            },
                            "temperature_air": {
                              "type": "number",
                              "example": 21.1,
                              "default": 0
                            },
                            "wetsuit": {
                              "type": "boolean",
                              "example": false,
                              "default": true
                            },
                            "deduction": {}
                          }
                        },
                        "headers": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "segment": {
                                "type": "string",
                                "example": "leg1"
                              },
                              "name": {
                                "type": "string",
                                "example": "Swim"
                              },
                              "distance": {
                                "type": "integer",
                                "example": 1500,
                                "default": 0
                              },
                              "units": {
                                "type": "string",
                                "example": "m"
                              },
                              "laps": {
                                "type": "integer",
                                "example": 2,
                                "default": 0
                              }
                            }
                          }
                        },
                        "headers_count": {
                          "type": "integer",
                          "example": 5,
                          "default": 0
                        },
                        "entries": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "athlete_id": {
                                "type": "integer",
                                "example": 11378,
                                "default": 0
                              },
                              "athlete_title": {
                                "type": "string",
                                "example": "Jonathan Brownlee"
                              },
                              "athlete_slug": {
                                "type": "string",
                                "example": "jonathan_brownlee"
                              },
                              "athlete_edit_date": {
                                "type": "string",
                                "example": "2016-02-09T14:04:34+00:00"
                              },
                              "athlete_first": {
                                "type": "string",
                                "example": "Jonathan"
                              },
                              "athlete_last": {
                                "type": "string",
                                "example": "Brownlee"
                              },
                              "athlete_country_id": {
                                "type": "integer",
                                "example": 292,
                                "default": 0
                              },
                              "athlete_gender": {
                                "type": "string",
                                "example": "male"
                              },
                              "athlete_yob": {
                                "type": "string",
                                "example": "1990"
                              },
                              "validated": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "athlete_profile_image": {
                                "type": "string",
                                "example": "http://www.triathlon.org/images/athlete_thumbs/johnathon-brownlee-181x181.jpg"
                              },
                              "athlete_noc": {
                                "type": "string",
                                "example": "GBR"
                              },
                              "athlete_country_name": {
                                "type": "string",
                                "example": "Great Britain"
                              },
                              "athlete_country_isoa2": {
                                "type": "string",
                                "example": "GB"
                              },
                              "athlete_listing": {
                                "type": "string",
                                "example": "http://www.triathlon.org/athletes/profile/11378/jonathan_brownlee"
                              },
                              "athlete_flag": {
                                "type": "string",
                                "example": "https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/gb.png"
                              },
                              "athlete_api_listing": {
                                "type": "string",
                                "example": "https://api.triathlon.org/v1/v1/athletes/11378"
                              },
                              "athlete_categories": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 42,
                                  "default": 0
                                }
                              },
                              "entry_id": {
                                "type": "integer",
                                "example": 358431,
                                "default": 0
                              },
                              "program_id": {
                                "type": "integer",
                                "example": 270563,
                                "default": 0
                              },
                              "approved": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "start_num": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "wait_pos": {
                                "type": "integer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```